> ## Documentation Index
> Fetch the complete documentation index at: https://docs.abbyy.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Downloads the result files

> Downloads the result file of the transaction.



## OpenAPI

````yaml /openapi.json get /api/publicapi/v1/transactions/{transactionId}/files/{fileId}/download
openapi: 3.0.4
info:
  title: Vantage processing REST API
  description: 'Environment: Production<br>Product Version: 1.6.17'
  version: '1.0'
  x-application-version: 1.6.17
servers:
  - url: https://vantage-us.abbyy.com
    description: Production United States
  - url: https://vantage-eu.abbyy.com
    description: Production Europe
  - url: https://vantage-au.abbyy.com
    description: Production Australia
security:
  - OAuth2Security:
      - global.wildcard
      - openid
      - permissions
paths:
  /api/publicapi/v1/transactions/{transactionId}/files/{fileId}/download:
    get:
      tags:
        - Transactions
      summary: Downloads the result files
      description: Downloads the result file of the transaction.
      operationId: DownloadFile
      parameters:
        - name: transactionId
          in: path
          description: >-
            Transaction identifier. You receive it in the response after the
            transaction has been successfully created.
          required: true
          schema:
            type: string
            format: uuid
        - name: fileId
          in: path
          description: >-
            File identifier. You can find it in the transaction details, under
            documents - resultFiles.
          required: true
          schema:
            type: string
      responses:
        '200':
          description: File content is successfully returned
          content:
            application/octet-stream:
              schema:
                type: string
                format: binary
        '403':
          description: Forbidden
          content:
            application/octet-stream:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
        '404':
          description: Transaction or file not found
          content:
            application/octet-stream:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
components:
  schemas:
    Microsoft.AspNetCore.Mvc.ProblemDetails:
      type: object
      properties:
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: string
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
      additionalProperties: {}
  securitySchemes:
    OAuth2Security:
      type: oauth2
      flows:
        authorizationCode:
          authorizationUrl: https://vantage-preview.abbyy.com/auth2/connect/authorize
          tokenUrl: https://vantage-preview.abbyy.com/auth2/connect/token
          scopes:
            global.wildcard: Global wildcard
            openid: User Id
            permissions: User permissions

````